# Bevy Playground

Ideally, I would love to make a game similar to Kodo Tag, the not-so-famous
Warcraft III custom map/scenario.

I will probably never get there.

I've been trying for years to even get close, but I always choke on pathfinding.

I'm hoping I can leverage a good navmesh and pathfinding crate combination to do
the heavy-lifting for me _plus_ it's a fun excuse to write more Rust.

# To Do

- [ ] Basics (the stuff I can do just about anywhere)
  - [X] Window
  - [X] Movement
  - [X] Flipping sprites
  - [X] Camera
  - [X] SFX
    - Examples:
      - https://github.com/bevyengine/bevy/blob/main/examples/audio/audio.rs
      - https://github.com/bevyengine/bevy/blob/main/examples/audio/audio_control.rs
      - https://github.com/bevyengine/bevy/blob/main/examples/audio/spatial_audio_2d.rs
  - [X] Y-sort
    - Layers?
  - [ ] UI stuff
  - [ ] Multiplayer
    - Ambient game engine?
      - I _would_ like in-browser (and mobile) playability and multiplayer
    - Lightyear?
  - [ ] Tile system
  - [ ] Basic map
    - In-game editing?
  - [ ] Enemies
  - [ ] "Position delta" pathfinding
- [ ] Profiling
  - Seems to use a lot of resources doing hardly anything
- [ ] Something to slice a tile map into a navigation mesh
  - Repeatedly?
  - Navmesh may be super overkill and astar may be sufficient?
- [ ] Smart pathfinding
  - `pathfinding` crate?
- [ ] ???
- [ ] Profit
